./print/ghostscript, Meta-package for installing the preferred ghostscript version

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 9.05nb19, Package name: ghostscript-9.05nb19, Maintainer: pkgsrc-users

Ghostscript is the well-known PostScript interpreter which is available for
all common and most esoteric platforms and supports many different printers
and some displays.

This is a meta-package for installing the preferred ghostscript version.


Required to run:
[print/ghostscript-agpl]

Required to build:
[pkgtools/cwrappers]

Package options: ghostscript-agpl

Master sites:


Version history: (Expand)


CVS history: (Expand)


   2019-11-02 13:59:27 by Roland Illig | Files touched by this commit (1)
Log message:
print/ghostscript: fix pkglint warnings
   2019-07-22 00:26:08 by Thomas Klausner | Files touched by this commit (1256)
Log message:
*: recursive bump for gdk-pixbuf2-2.38.1
   2019-07-21 00:46:59 by Thomas Klausner | Files touched by this commit (595)
Log message:
*: recursive bump for nettle 3.5.1
   2019-03-18 17:17:51 by Greg Troxel | Files touched by this commit (56)
Log message:
Recursive bump for ghostscript default change
   2019-03-17 19:40:29 by Greg Troxel | Files touched by this commit (1)
Log message:
print/ghostscript: Default to ghostscript-agpl

Change SUGGESTED_OPTIONS to ghostscript-agpl, because ghostscript-gpl
is not maintained and has known vulnerabilities, and so that
ghostscript by default results in the version maintained by upstream.

As proposed on pkgsrc-users@, without objection.  Note that this
commit does not change anything related to licensing.

ok pmc
   2019-02-10 22:35:26 by Thomas Klausner | Files touched by this commit (1)
Log message:
Revert previous for now
   2019-02-06 15:41:06 by Thomas Klausner | Files touched by this commit (1)
Log message:
ghostscript: switch the default to ghostscript-agpl

The GPL version is very outdated and has lots of unfixed security issues,
and AGPL is now in the default-allowed set of licenses.

Bump version to match current AGPL release.
   2018-11-14 23:22:54 by Klaus Klein | Files touched by this commit (1332) | Package updated
Log message:
Revbump after cairo 1.16.0 update.